<?xml version="1.0" encoding="UTF-8"?>
<beans xmlns="http://www.springframework.org/schema/beans" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
	xsi:schemaLocation="http://www.springframework.org/schema/beans http://www.springframework.org/schema/beans/spring-beans.xsd">

	<!-- <bean id="AggregateReportingService" class="gov.va.med.hdr.ars.client.ArsServiceManagement"> <property name="arsService" ref="arsServiceDelegate" 
		/> </bean> -->

	<bean id="arsServiceDelegate" factory-bean="arsServiceFactory" factory-method="create" lazy-init="true">
		<constructor-arg index="0" value="10000" />
		<constructor-arg index="1" value="${cds.service.uri}" />
		<!-- <constructor-arg index="1" value="http://localhost:7000/AggregateReportingService" /> -->
	</bean>

	<bean id="arsServiceFactory" class="gov.va.med.hdr.ars.client.ArsServiceFactory" lazy-init="true" />

</beans>
	